services:
  - type: web
    name: shop-manager-pos
    env: python
    buildCommand: pip install -r requirements.txt
    startCommand: gunicorn app:app --workers 4 --threads 2 --timeout 120 --bind 0.0.0.0:$PORT
    envVars:
      - key: PYTHON_VERSION
        value: 3.11.8
      - key: DATABASE_URL
        value: postgresql://postgres.rjpbrsqtligqoxwowemy:%40Gronext2024@aws-0-ap-northeast-1.pooler.supabase.com:5432/postgres?sslmode=require
      - key: FLASK_SECRET_KEY
        generateValue: true
      - key: ENVIRONMENT
        value: production
